[HO] GoldLeaf (Antiguo Tinfoil) - Instalador de NSP desde Homebrew Launcher

1, 2, 3, 4, 531
Paspain escribió:Me estoy volviendo un poco loco con tinfoil. Aun no se puede usar salvo en tx no?? Aun faltaban algunas cosas para instalar los backups nsp en lo que tenemos de atmosphere no? Cual es laevolucion hasta el momento? Esque creo que no se ha puesto sobre la mesa aun o almenos no lo he visto salvo lo ultimo que puso raugo de que faltaba la instalacion de tickets.


TINFOIL acaba de nacer.

De momento solo funciona en SX OS que es el que puede saltarse las firmas.

En éste momento el desarrollo está activo y se van añadiendo cosas, pero nada nuevo más allá de lo que ya se ha comentado anteriormente.

Yo por mi parte estoy testeandolo con mis backups y el Worms W.M.D. no me lo reconoce ni me aparece en la lista de .NSPs para instalar.
A ver si alguien más se anima a probar con la suya y el mismo backup para poder comparar...

Saludos!
Que tal va la nueva vercion Tinfoil?
Alguien la tiene ya compilada ?
Si podéis poner la última versión, la vamos probando
Wenas!.

Aquí tenéis, lo acabo de sacar del horno:

Tinfoil


Baldman escribió:Si te refieres a ese caso, disculpa el malentendido [beer]

No te preocupes, yo tampoco estuve muy fino explicándome. [+risas]
En cuanto al Worms W.M.D. lo único que puedo hacer es ver si el Tinfoil lo reconoce ya que requiere F.W. 3.0.1 y aún sigo en 3.0.0, ¿te vale con eso?. :-?

SalU2!.
Gracias!!

De momento 5 ficheros NSP y no reconoce ninguno. Esperaré a nuevas versiones.
devnull_77 escribió:Wenas!.

Aquí tenéis, lo acabo de sacar del horno:

Tinfoil


Baldman escribió:Si te refieres a ese caso, disculpa el malentendido [beer]

No te preocupes, yo tampoco estuve muy fino explicándome. [+risas]
En cuanto al Worms W.M.D. lo único que puedo hacer es ver si el Tinfoil lo reconoce ya que requiere F.W. 3.0.1 y aún sigo en 3.0.0, ¿te vale con eso?. :-?

SalU2!.


Si, vale con eso, de hecho si te aparece en la lista, vas a poder instalarlo pero no iniciarlo, porque yo instalé el Pokémon quest en 4.1.0. y me dejó hacerlo.

A ver si a ti te aparece, gracias!!
Mobutu16 escribió:Gracias!!

De momento 5 ficheros NSP y no reconoce ninguno. Esperaré a nuevas versiones.

Pon un nombre sin espacios ni simbolos raros por ejemplo: zelda y no zelda breath of the wild_36
Wenas!.

@Baldman : Probado, lo reconoce perfectamente y lo instala, no puedo ejecutarlo porque pide 3.0.1 y yo estoy en 3.0.0. Edita el nombre del backup sustituyendo la parte que dice "W.M.D." por "WMD", el resto del nombre déjalo tal cual. ;)

Un saludo!.
devnull_77 escribió:Wenas!.

Aquí tenéis, lo acabo de sacar del horno:

Tinfoil


devnull_77 escribió:Wenas!.

@Baldman : Probado, lo reconoce perfectamente y lo instala, no puedo ejecutarlo porque pide 3.0.1 y yo estoy en 3.0.0. Edita el nombre del backup sustituyendo la parte que dice "W.M.D." por "WMD", el resto del nombre déjalo tal cual. ;)

Un saludo!.


Genial, muchísimas gracias por probarlo y dar tu feedback. De hecho ya había probado a cambiar el nombre del archivo por "Worms" a secas, pero tampoco me había funcionado...

Al parecer el problema es por los puntitos de "W.M.D.", de hecho, me estaba pasando lo mismo con ".VS Super Mario Bros." y lo solucioné de la misma forma eliminando únicamente los puntos del nombre del archivo.

Gracias también por la nueva versión del .NRO, ahora todo funciona perfectamente [oki]

Saludos
@Baldman Si quieres puedes probar los updates, ¿o eso no funciona en la nueva versión?


Saludos
dante12345 escribió:@Baldman Si quieres puedes probar los updates, ¿o eso no funciona en la nueva versión?


Saludos


No, no...si lo que estoy diciendo es que al final si que me ha funcionado al borrar todos los puntos del nombre del archivo .NSP, tal y como me dijo @devnull_77, así como la última versión publicada por él en este mismo hilo.

Saludos!
@Baldman Jaja xD, ya ..., pero precisamente como ya has solucionado ese problema de los nombres ahora es cuando se sube de nivel y se prueba si con la nueva versión se pueden instalar updates (que con la primera no se podía), te estoy preguntando si se puede.

¿Alguien ha probado si en la nueva versión de Tinfoil permite instalar updates?

@Baldman Ok gracias, pues nada, a esperar.


Saludos
dante12345 escribió:@Baldman Jaja xD, ya ..., pero precisamente como ya has solucionado ese problema de los nombres ahora es cuando se sube de nivel y se prueba si con la nueva versión se pueden instalar updates (que en la primera no se podía), te estoy pregutnando si se puede.


Saludos


Disculpa jaja, pensé que te referías a los updates de TINFOIL en lugar de los updates .NSP...Pues cuando tenga un rato lo pruebo y os digo [oki]

EDIT:
@dante12345 Ya lo he probado y siguen sin funcionar las Updates ni DLCs, al menos a mí.

Saludos
No sé si se habrá dicho ya, pero hay una versión de Hekate con sigpatch con el que funciona tinfoil y sucedáneos, ya tenemos otra alternativa a ReiNX.
KChito escribió:No sé si se habrá dicho ya, pero hay una versión de Hekate con sigpatch con el que funciona tinfoil y sucedáneos, ya tenemos otra alternativa a ReiNX.



Dónde lo has visto?
@KChito Es la misma version solo que en lugar de cargar los archivos con ReiNX se cargan con Hekate.

Saludos
@Baldman : Me alegro que te haya funcionado. ;)

SalU2!.
una duda, la unica limitación de tinfoil por el momento son los DLC?
si estas en 5.1.0 o tienes pokemon quest instalado no es especialmente util tinfoil, o me equivoco?
gwallace escribió:una duda, la unica limitación de tinfoil por el momento son los DLC?
si estas en 5.1.0 o tienes pokemon quest instalado no es especialmente util tinfoil, o me equivoco?

de momento no
Qué diferencia hay entre NSP y NSP extraído?
@devnull_77 No, el nsp extraido es simplemente el contenido del nsp osea los nca ticket cert y demas. Independientemente de como consigas el archivo se puede tener de las 2 formas.

Saludos
@Raugo : Patinazo por mi parte. [fiu]

Gracias por el apunte. [oki]

Un saludo!.
Por cierto, ¿no os ha pasado alguna vez con Tinfoil que tras instalar un .NSP, cuando se pone a parchear y va a terminar os sale un código de error que obliga a apagar la consola?

Luego cuando la enciendes sale en lugar del icono original del juego, un icono gris con el típico circulito .GIF de "buffering" que nunca termina

A mí me ha pasado con Human: Fall Flat y con Don't Knock Twice. Los descargué dos veces para comprobar si era problema del .NSP, pero el problema continua apareciendo.

EDIT: He descubierto que es problema de tener la consola en el modo dock.
Si los instalas en modo portátil ya no salta el error... Por si a alguien más le ha pasado o le pasa en un futuro.

Saludos!!
(mensaje borrado)
Buenas, me esta ocurriendo algo rarisimo, cuando intento instalar un nsp me indica el siguiente error:
>Reading cnmt.xml
openExtractedInstallFileWitExt: Failed to read nsp header into buffer! Error code 0x0000d401
installTitle: Failed to open first file with extension. Error code: 0x0000d401

Me pasa con todos. ¿Alguien mas que le haya ocurrido?.

EDITO: Parece ser que todos los fallos raros que da tanto este como que se instale el juego pero luego no aparezca la portada o que al instalar diga que esta dañado es debido a la tarjeta microsd. He instalado el devmenu con el pokemon quest y al instalar los backups en la microsd tambien presentaban fallos, en cambio he seleccionado que lo instale en la memoria de la switch y 0 problemas.
Toca comprar otra Sd (Por lo menos en mi caso).

Un saludo.
@Danimagic ¿que marca de microsd utilizas ? Yo utilizo de la marca Samsung y tambien tendo problemas para instalar nsp.
Thepucnic escribió:@Danimagic ¿que marca de microsd utilizas ? Yo utilizo de la marca Samsung y tambien tendo problemas para instalar nsp.

La que tengo es una Transcend Premium 400x de 128Gb.
Instale devmenu y me fue todo perfecto hasta que lo apague para mover a la sd más backup, cuando volví a cargar el cfw ya no me permitia instalar los backup nuevos.
Le he pasado en el pc un chkdsk para comprobar si habia errores en la sd y salian petes por todos lados.
He vuelto a poner de 0 el cfw y devmenu y puedo instalar de nuevo todos los backup, parece como a raiz de algun fallo en la sd generara muchos archivos de errores y deja frito el instalador nsp.
y los updates para cuando se podrán instalar??
rioazuki escribió:y los updates para cuando se podrán instalar??

supongo que cuando el desarrollador encuentre la manera. Mientras tanto puedes tirar de DevMenu y Hekate
@gwallace

como se instala con hekake?'

que paiload uso?

no tengo sx os y estoy en 4.1

en que parte del foro viene indicado??
rioazuki escribió:@gwallace

como se instala con hekake?'

que paiload uso?

no tengo sx os y estoy en 4.1

en que parte del foro viene indicado??

en el hilo de hekate busca un link a mega subido por Raugo que tiene todo salvo el Devmenu, que debes encontrar por otro lado (es material con copyright y no se puede postear aqui)
rioazuki escribió:y los updates para cuando se podrán instalar??

Ahora deberían basarse en "SXOS" XD.
rioazuki escribió:y los updates para cuando se podrán instalar??



Cuando liberen la versión que ha usado el SXOS para copiarse...
josete2k escribió:
rioazuki escribió:y los updates para cuando se podrán instalar??



Cuando liberen la versión que ha usado el SXOS para copiarse...


JAJAJAJA
josete2k escribió:
rioazuki escribió:y los updates para cuando se podrán instalar??



Cuando liberen la versión que ha usado el SXOS para copiarse...


Los de SX OS yo creo que se han copiado del DEVmenu de Nintendo, asique para ahorrarse los de TINFOIL el trabajo, ¿intentarán copiar esta vez a SX OS? Sería perfecto, así todos podrían ser considerados copiones....jajaja
Baldman escribió:
josete2k escribió:
rioazuki escribió:y los updates para cuando se podrán instalar??



Cuando liberen la versión que ha usado el SXOS para copiarse...


Los de SX OS yo creo que se han copiado del DEVmenu de Nintendo, asique para ahorrarse los de TINFOIL el trabajo, ¿intentarán copiar esta vez a SX OS? Sería perfecto, así todos podrían ser considerados copiones....jajaja


[qmparto] [qmparto] [qmparto] [oki]
Una pregunta donde quedan los juegos instalados y se pueden borrar los nsp después de instalados ?
jastoa escribió:Una pregunta donde quedan los juegos instalados y se pueden borrar los nsp después de instalados ?

Los juegos se quedan en la sd, carpeta Nintendo
Puedes borrar los nsp
Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...
Baldman escribió:Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...

A mi tambien me pasaba lo mismo el pack 1 lleva los 2 DLCs. con instalar el pack 1 y el update es suficiente
joseatp escribió:
Baldman escribió:Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...

A mi tambien me pasaba lo mismo el pack 1 lleva los 2 DLCs. con instalar el pack 1 y el update es suficiente


Vale perfecto, muchas gracias por la información.

Entiendo que aunque instale el pack 2 de todas formas, no me va a pedir conectarme para descargar...
buenas tengo una duda al meter un juego nsp en la microsd formateada en fat32 solo me deja pasar 4g y el juego en concreto pesa casi 8g, como puedo meterlo ?

gracias
Acabo de tener una revelación (aunque seguramente ya lo habréis hablado en algún sitio y se me habrá pasado pero...) Un NSP extraído no tendría ningún archivo mayor de 4Gb y por tanto sería una alternativa para los que usan tarjeta en FAT32, cierto?
Buenas, tengo el xenoblade 2 original y he puesto los nsp de los dlc, cuando entro a contenido del expansion pack me sale en blanco, pero abajo pone ya comprado, esto es normal y si voy ya a las misiones me saldran o tiene que salir ahí el contenido como en algunos videos he visto, esque no se si me han funcionado.
joseatp escribió:
Baldman escribió:Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...

A mi tambien me pasaba lo mismo el pack 1 lleva los 2 DLCs. con instalar el pack 1 y el update es suficiente


Tinfoil ya permite instalar DLC y UPDATES??¿?¿?
[Lande] escribió:
joseatp escribió:
Baldman escribió:Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...

A mi tambien me pasaba lo mismo el pack 1 lleva los 2 DLCs. con instalar el pack 1 y el update es suficiente


Tinfoil ya permite instalar DLC y UPDATES??¿?¿?


No, pero si devmenu en nsp
yo tengo el nsp del 1-2 switch y al terminar de instalar con tinfoil me da error y tengo que reiniciar la consola. y cuando la vuelvo a encender me sale instalado pero no me deja cargarlo....me dice que me conecte a internet para comprobar....
estoy en 5.1 y tengo a ultima version de tinfoil y de reinx. y el darth meteos no lo encuentro por ningun lado, esta en todos lados caido, no se si eso seria la solucion...
[Lande] escribió:
joseatp escribió:
Baldman escribió:Una pregunta, cuanto os ocupa el DLC Pack 2 del Zelda?
Porque yo solo lo consigo con 120kb, mientras que el Pack 1 ocupa mas de 1.3 GB...

A mi tambien me pasaba lo mismo el pack 1 lleva los 2 DLCs. con instalar el pack 1 y el update es suficiente


Tinfoil ya permite instalar DLC y UPDATES??¿?¿?

En teoría, por las ultimas actualizaciones en el repositorio del creador, ya debería ser posible, pero yo he compilado el programa y no me instala ni juegos ni actualizaciones ni nada, habrá que esperar a que arregle lo que sea que esté roto.
1545 respuestas
1, 2, 3, 4, 531